# SimpleUpdatesFilter - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.updateshandlers / SimpleUpdatesFilter

# SimpleUpdatesFilter

(common) `data class SimpleUpdatesFilter : UpdatesFilter` (source)

### Constructors

(common)

#### <init>

`SimpleUpdatesFilter(messageCallback: UpdateReceiver<MessageUpdate>? = null, messageMediaGroupCallback: UpdateReceiver<MessageMediaGroupUpdate>? = null, editedMessageCallback: UpdateReceiver<EditMessageUpdate>? = null, editedMessageMediaGroupCallback: UpdateReceiver<EditMessageMediaGroupUpdate>? = null, channelPostCallback: UpdateReceiver<ChannelPostUpdate>? = null, channelPostMediaGroupCallback: UpdateReceiver<ChannelPostMediaGroupUpdate>? = null, editedChannelPostCallback: UpdateReceiver<EditChannelPostUpdate>? = null, editedChannelPostMediaGroupCallback: UpdateReceiver<EditChannelPostMediaGroupUpdate>? = null, chosenInlineResultCallback: UpdateReceiver<ChosenInlineResultUpdate>? = null, inlineQueryCallback: UpdateReceiver<InlineQueryUpdate>? = null, callbackQueryCallback: UpdateReceiver<CallbackQueryUpdate>? = null, shippingQueryCallback: UpdateReceiver<ShippingQueryUpdate>? = null, preCheckoutQueryCallback: UpdateReceiver<PreCheckoutQueryUpdate>? = null, pollUpdateCallback: UpdateReceiver<PollUpdate>? = null, pollAnswerUpdateCallback: UpdateReceiver<PollAnswerUpdate>? = null, unknownUpdateTypeCallback: UpdateReceiver<UnknownUpdateType>? = null)`

### Properties

(common)

#### allowedUpdates

`val allowedUpdates: List<String>`

(common)

#### asUpdateReceiver

`val asUpdateReceiver: UpdateReceiver<Update>`

### Functions

(common)

#### invoke

`suspend fun invoke(update: Update): Unit`